// JavaScript Document


$(document).ready(function(e) {

				$('#pnSenhaResumo').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 500, // altura
					width  : 750 // largura
				})

   // $("#pnResumoQTO").addClass('ui-state-error ui-corner-all');

  VerificarQtoFotos();
  
  VerStatos($('#id_evento').val());
 
 // HistoricoProducao($('#id_evento').val());

});

function ProgresseBar(Nome, DataMenor, DataMaior){
	if(DataMaior == '')
	  DataMaior = DataAtual();
	  
	$('#'+Nome).progressbar({value: ((DiferencaEntreDatas(DataMenor,DataMaior) * 100) / 90)});	
}
function DiasCorridos(Nome,DataMenor, DataMaior){
	if(DataMaior == '')
	  DataMaior = DataAtual();

	  
	$('#'+Nome).html(DiferencaEntreDatas(DataMenor,DataMaior));
}



function HistorioFinalizar(id_x9){

			$.ajax({

				 type: "POST",

				 url: "x9picasa/historico_finalizar.php",

				 data: 'id_x9='+id_x9, 

				 beforeSend: function(){$("#pnHistoricoFinalizacao").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnHistoricoFinalizacao").html(R)} ,

				 error: function(R){ $("#pnHistoricoFinalizacao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnHistoricoFinalizacao").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax		

		

	

}


function PnControle(){

			$.ajax({
				 type: "POST",
				 url: "x9picasa/controle.php",
				 beforeSend: function(){$("#btnControle").html(Load()).fadeIn('slow');},
				 success: function(R){$("#btnControle").html(R)} ,
				 error: function(R){ $("#btnControle").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#btnControle").addClass('ui-state-error ui-corner-all');

									  }
			 }) //fim ajax		

		

	

}


function VerStatos(id_evento){
	
				$.ajax({
				 type: "POST",
				 url: "x9picasa/ax.x9picasa.php",
				 data: "ax=VerStatos&id_evento="+id_evento,
				 beforeSend: function(){$("#pnStatos").html('<div align="center"><img src="img/loadNew.gif"/></div>').fadeIn('slow');},
				 success: function(R){	
					 					$("#pnStatos").html(R);
										
										if($('#btnStatos').val() == '0')
										$('#pnStatos').addClass('Off-Line');
										
										if($('#btnStatos').val() == '1')
										$('#pnStatos').addClass('Finalizado');
										
										if($('#btnStatos').val() == '3')
										$('#pnStatos').addClass('On-Line');
										
										} ,
				 error: function(R){ $("#pnStatos").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnStatos").addClass('ui-state-error ui-corner-all');

									  }
			 }) //fim ajax	
		
		
}


/*function HistoricoProducao(id_evento){
	$.ajax({
				 type: "POST",
				 url: "producao/historico_for_x9.php",
				 data: "&id_evento="+id_evento,
				 beforeSend: function(){$("#pnHistoricoProducao").html(Load()).fadeIn('slow');},
				 success: function(R){$("#pnHistoricoProducao").html(R)} ,
				 error: function(R){ $("#pnHistoricoProducao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnHistoricoProducao").addClass('ui-state-error ui-corner-all');

									  }
			 }) //fim ajax	
	
}
*/




function CriarX9(website,senha,contrasenha){

				$.ajax({
				 type: "POST",
				 url: "x9picasa/ax.x9picasa.php",
				 data: 'ax=CriarX9&website='+website+'&senha='+senha+'&contrasenha='+contrasenha+'&id_evento='+$('#id_evento').val(), 
				 beforeSend: function(){$("#pnBotaoX9").html(Load()).fadeIn('slow');},
				 success: function(R){
					 					if(R == '')
										$('#pnSenhaResumo').dialog('close');
										else
										 $("#pnBotaoX9").html(R);
									} ,

				 error: function(R){ $("#pnBotaoX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnBotaoX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax

	

}



function DeletarX9(id_x9, id_evento){

					$.ajax({

				 type: "POST",

				 url: "x9picasa/ax.x9picasa.php",

				 data: 'ax=DeletarX9&id_x9='+id_x9+'&id_evento='+$('#id_evento').val(), 

				 beforeSend: function(){$("#pnBotaoX9").html(Load()).fadeIn('slow');},

				 success: function(R){$('#pnSenhaResumo').dialog('close')} ,

				 error: function(R){ $("#pnBotaoX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnBotaoX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax

	

}



function UpdateSenhaX9(id_x9, senha, contrasenha){

				$.ajax({

				 type: "POST",

				 url: "x9picasa/ax.x9picasa.php",

				 data: 'ax=UpdateSenhaX9&id_x9='+id_x9+'&senha='+senha+'&contrasenha='+contrasenha, 

				 beforeSend: function(){$("#pnBotaoX9").html(Load()).fadeIn('slow');},

				 success: function(R){$('#pnSenhaResumo').dialog('close')} ,

				 error: function(R){ $("#pnBotaoX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnBotaoX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax

	

}



function UpdateX9Ativo(id_x9){

					$.ajax({

				 type: "POST",

				 url: "x9picasa/ax.x9picasa.php",

				 data: 'ax=UpdateX9Ativo&id_x9='+id_x9, 

				 beforeSend: function(){$("#pnBotaoX9").html(Load()).fadeIn('slow');},

				 success: function(R){$('#pnSenhaResumo').dialog('close')} ,

				 error: function(R){ $("#pnBotaoX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnBotaoX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax

	

}









function TabsFotosEventos(){

			

			$.ajax({

				 type: "POST",

				 url: "x9picasa/fotos_evento.php",

				// data: 'id_evento='+id_evento_, 

				 beforeSend: function(){$("#pnFotosX9").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnFotosX9").html(R)} ,

				 error: function(R){ $("#pnFotosX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnFotosX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax		

	

	

}





function SenhaResumo(){

			

			$.ajax({

				 type: "POST",

				 url: "x9picasa/senha.php",

				 data: 'id_evento='+$('#id_evento').val()+'&web_site='+$('#edtWebSite').val(), 

				 beforeSend: function(){$("#pnSenhaResumo").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnSenhaResumo").html(R)} ,

				 error: function(R){ $("#pnSenhaResumo").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnSenhaResumo").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax		

	

	

}





function CarregarFotosEscolhidas(id_x9_local, deFoto){

	//das($id_evento, $id_x9_local, $deFoto);	

				$.ajax({

				 type: "POST",

				 url: "x9picasa/ax.x9picasa.php",

				 data: 'ax=VerFotosEscolhidas&id_x9_local='+id_x9_local+'&deFoto='+deFoto+'&id_evento='+$('#id_evento').val(), 

				 beforeSend: function(){$("#pnFotosWebSite").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnFotosWebSite").html(R)} ,

				 error: function(R){ $("#pnFotosWebSite").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnFotosWebSite").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax	

	

}



function CarregarLayoutAprovado(){



	$.ajax({

				 type: "POST",

				 url: "x9picasa/ax.x9picasa.php",

				 data: 'ax=FotosAprovadasLayout&id_evento='+$('#id_evento').val(), 

				 beforeSend: function(){$("#pnFotosWebSite").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnFotosWebSite").html(R)} ,

				 error: function(R){ $("#pnFotosWebSite").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnFotosWebSite").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax	

	

}





function VerificarQtoFotos(){



				$.ajax({

				 type: "POST",

				 url: "x9picasa/ax.x9picasa.php",

				 data: 'ax=VerificarQtoFotos&id_evento='+$('#id_evento').val(), 

				 beforeSend: function(){$("#pnResumoQTO").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnResumoQTO").html(R)} /*

				 error: function(R){ $("#pnResumoQTO").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnResumoQTO").addClass('ui-state-error ui-corner-all');

									  }*/

			 }) //fim ajax	

	

}







function DeleteFotosSeleciona(id_x9_local){
				$.ajax({
				 type: "POST",
				 url: "x9picasa/ax.x9picasa.php",
				 data: 'ax=DeleteFotosSeleciona&id_evento='+$('#id_evento').val()+'&id_x9_local='+id_x9_local, 
				 beforeSend: function(){$("#pnResumoQTO").html(Load()).fadeIn('slow');},
				 success: function(R){$("#pnResumoQTO").html(VerificarQtoFotos())} ,
				 error: function(R){ $("#pnResumoQTO").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnResumoQTO").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax	

	

}



function TabsResumo(){

			

			$.ajax({

				 type: "POST",

				 url: "x9picasa/resumo.php",

				// data: 'id_evento='+id_evento_, 

				 beforeSend: function(){$("#pnFotosX9").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnFotosX9").html(R)} ,

				 error: function(R){ $("#pnFotosX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnFotosX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax		

	

	

}



function TabsPrevia(){

			

			$.ajax({

				 type: "POST",

				 url: "x9picasa/previa.php",

				// data: 'id_evento='+id_evento_, 

				 beforeSend: function(){$("#pnFotosX9").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnFotosX9").html(R)} ,

				 error: function(R){ $("#pnFotosX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnFotosX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax		

	

	

}



function TabsAlbum(){

			

			$.ajax({

				 type: "POST",

				 url: "x9picasa/album.php",

				// data: 'id_evento='+id_evento_, 

				 beforeSend: function(){$("#pnFotosX9").html(Load()).fadeIn('slow');},

				 success: function(R){$("#pnFotosX9").html(R)} ,

				 error: function(R){ $("#pnFotosX9").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

									  $("#pnFotosX9").addClass('ui-state-error ui-corner-all');

									  }

			 }) //fim ajax		

}


function HistoricoFinalizado1(id_evento){
			$.ajax({
				 type: "POST",
				 url: "x9picasa/ax.x9picasa.php",
				 data: 'ax=HistoricoFinalizado1&id_evento='+id_evento, 
				 beforeSend: function(){$("#pnHistoricoFim").html('<img src="img/load_curto.gif"/>').fadeIn('slow');},
				 success: function(R){$("#pnHistoricoFim").html(R)} ,
				 error: function(R){ $("#pnHistoricoFim").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnHistoricoFim").addClass('ui-state-error ui-corner-all');
									  }

			 }) //fim ajax		

}







